# Rebuild switch:
#  --with libmad   Enables libmad

%{?_with_libmad: %define use_libmad 1}

Name: 		stratagus
Summary: 	Real-time strategy gaming engine
Version: 	2.1
Release: 	11%{?dist}
License: 	GPL
Group: 		Development/Libraries
URL:		http://stratagus.sourceforge.net/
Source0: 	http://dl.sf.net/%{name}/%{name}-%{version}-src.tar.gz
Patch0:		stratagus--lp64.diff
Patch1:		stratagus--Rules_make_in.diff
Patch2:		stratagus--lua-5.1.diff
Patch3:		stratagus--configure_in-libs.diff
Patch4:		stratagus--configure-libs.diff
BuildRequires:	flac-devel
BuildRequires:	mikmod-devel
BuildRequires:	lua
BuildRequires:  lua-devel
BuildRequires:	bzip2-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	zlib-devel
BuildRequires:	SDL-devel
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
%if 0%{?use_libmad}
BuildRequires:	libmad-devel
%endif

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Stratagus is a free cross-platform real-time strategy gaming engine. It
includes support for playing over the internet/LAN, or playing a
computer opponent. The engine is configurable and can be used to create
games with a wide-range of features specific to your needs. See the
data sets page ( http://stratagus.sourceforge.net/games.shtml ) for a list
of current games using the stratagus engine.

%prep
%setup -q -n %{name}-040702
%patch0
%patch1
%patch2
%patch3
%patch4
sed -i 's/DEBUG_CFLAGS=.*/DEBUG_CFLAGS="%{optflags}"/g' configure

%build
%configure  	--with-x \
		--with-bz2 \
		--with-ogg \
		--with-mikmod \
%if 0%{?use_libmad}
%else
		--with-mad=no \
%endif
		--with-flac \
		--with-opengl \
		--with-cdaudio=sdlcd

%{__make}

%install
%{__rm} -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 stratagus $RPM_BUILD_ROOT%{_bindir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README doc/
%{_bindir}/stratagus

%changelog

* Sat Nov 18 2006 Peter Lemenkov <lemenkov@gmail.com> 2.1-11
- fix for bug #216166 suggested by Hans de Goede

* Thu Nov 16 2006 Peter Lemenkov <lemenkov@gmail.com> 2.1-10
- Applied patches from Hans de Goede

* Sat Sep 16 2006 Peter Lemenkov <lemenkov@gmail.com> 2.1-9%{?dist}
- Added necessary BuildRequires

* Sat Sep 16 2006 Peter Lemenkov <lemenkov@gmail.com> 2.1-8%{?dist}
- Fixed library paths

* Sat Sep 16 2006  Peter Lemenkov <lemenkov@gmail.com> 2.1-7%{?dist}
- Fix building with Lua 5.1

* Sat May 06 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-6%{?dist}
- Added link to page with datasets

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-5%{?dist}
- addition of new patch

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-4%{?dist}
- patch for removal /usr/local/-directories from Rules.make.in
- temporarily disabled parallel make

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-2%{?dist}
- added dist-tag

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> 2.1-2
- rebuild

* Sat Nov 19 2005 Peter Lemenkov <lemenkov@newmail.ru> 2.1-1
- Initial build for FC-Extras
